import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"oplab.pmh",
				"BindEditOp",
				"CurvaceousOp",
				"FusionOp",
				"GridWrapOp",
				"NexusOp",
				"RecordOp",
				"XRayOp",
				"oplabDL" ]

	dll = module.DLL( "fexOpLabDL", srcList )

	deplibs = forge.corelibs+ [
				"fexMathLib",
				"fexOperateDLLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexOpLabDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexOpLabDL",					None,	None) ]
